Bug 1728841 - The cluster update modal does not sort updates in its dropdown
Summary: The cluster update modal does not sort updates in its dropdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.2.0
Assignee: Samuel Padgett
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 18:36 UTC by Samuel Padgett
Modified: 2019-10-16 06:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:33:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
expected dropdown list (64.21 KB, image/png)
2019-10-08 07:34 UTC, Yanping Zhang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 1984 0 None None None 2019-07-10 18:37:10 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:33:36 UTC

Description Samuel Padgett 2019-07-10 18:36:31 UTC
We should sort the available updates with the most recent first.

Comment 1 Samuel Padgett 2019-07-10 18:37:33 UTC
https://github.com/openshift/console/pull/1984

Comment 2 W. Trevor King 2019-10-04 17:34:27 UTC
Merged way back on July 11th [1].  No idea why the Bugzilla bot didn't mark this MODIFIED when the PR landed.  Checking 4.2 RCs:

$ oc adm release info --commits quay.io/openshift-release-dev/ocp-release:4.2.0-rc.1 | grep console
  console                                       https://github.com/openshift/console                                       4add1e0a27ec21af3ff460d657852f1fba36f3fe
  ...
$ git log --oneline 4add1e0a27ec21af3ff460d657852f1fba36f3fe | grep bf925a3fa
bf925a3fa Sort updates most recent first in cluster update modal

So I'm moving this to ON_QA.

[1]: https://github.com/openshift/console/pull/1984#event-2475821354

Comment 3 W. Trevor King 2019-10-04 18:01:34 UTC
Back to MODIFIED so ARTs sweeper will put these in errata.

Comment 5 Yanping Zhang 2019-10-08 07:33:39 UTC
Setuped a ocp 4.2 env with payload 4.2.0-0.ci-2019-10-07-080755. Checked on cluster setting page, in the update dropdown list, the available updates are sorted by time, the latest update is at top.
The bug has been fixed, move it Verified.

Comment 6 Yanping Zhang 2019-10-08 07:34:24 UTC
Created attachment 1623432 [details]
expected dropdown list

Comment 7 errata-xmlrpc 2019-10-16 06:33:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.